Origin: ab3bd10e5176ea7ae6c75e552cde3f7feac3588f
From: NiMlr <39880630+NiMlr@users.noreply.github.com>
Date: Sat, 11 Jun 2022 14:29:48 +0200
Bug-Debian: https://bugs.debian.org/1002393
Subject: FIX: Deprecation of numpy.typeDict (#94)

---
 mdp/utils/routines.py | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/mdp/utils/routines.py b/mdp/utils/routines.py
index 4e058632..0867e9e9 100644
--- a/mdp/utils/routines.py
+++ b/mdp/utils/routines.py
@@ -292,9 +292,8 @@ def get_dtypes(typecodes_key, _safe=True):
     return types
 
 
-_UNSAFE_DTYPES = [numx.typeDict[d] for d in
-                  ['float16', 'float96', 'float128', 'complex192', 'complex256']
-                  if d in numx.typeDict]
+_UNSAFE_DTYPES = [numx.dtype(d).type for d in
+                  ['float16', 'float128', 'complex256']]
 
 
 def nongeneral_svd(A, range=None, **kwargs):
